'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of pyEveApi.

    pyEveApi is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    pyEveApi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with pyEveApi.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
import httplib
import urllib
import debugger

class ApiDownloader(object):
    '''
    classdocs
    '''
    CCPServer = "api.eve-online.com"
    
    def _doDownload(self):
        debugger.DBUG(3, "doDownload from http://" + self.CCPServer + "/" + self.URLString) 
        headers = { "Content-Type": "application/x-www-form-urlencoded" }
        myHttp = httplib.HTTPConnection(self.CCPServer)
        myHttp.request("POST", 
                            self.URLString, 
                            self.ApiLoginCredentials, 
                            headers)
        HttpResponse = myHttp.getresponse()
        self.XMLJournal = HttpResponse.read()
        myHttp.close()

    def doDownload(self):
        if not self.isCacheValid():
            self._doDownload()
        pass

    def doForceDownload(self):
        self._doDownload()

    def __init__(self, URLString):
        '''
        Constructor
        '''
        debugger.DBUG(3, "ApiDownloader")
        self.URLString = URLString
        debugger.DBUG(3, "self.URLString = " + self.URLString)
        
