'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of pyEveApi.

    pyEveApi is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    pyEveApi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with pyEveApi.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from ApiShortCacher import ApiShortCacher
import debugger

class Characters(ApiShortCacher):
    '''
    classdocs
    '''
    def getCharactersByName(self):
        list = self.nodeList
        list.sort( cmp=lambda x,y: cmp(x["name"], y["name"]), reverse=True)
        return list

        pass
    
    def getCharacterByName(self, name):
        return self.nodeList[name]
    
    def xmlNodeToListEntry(self, node):
        return { 'name': node.getAttribute("name"),
                'characterID': node.getAttribute("characterID"),
                'corporationName': node.getAttribute("corporationName"),
                'corporationID': node.getAttribute("corporationID") 
                }
        pass

    def __init__(self, userid, apikey, characterid=0):
        '''
        Constructor
        '''
        debugger.DBUG(3, "Characters")
        ApiShortCacher.__init__(self, userid, apikey, characterid, "/account/Characters.xml.aspx", "Characters")
        self.doLoad()

        
