'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of pyEveApi.

    pyEveApi is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    pyEveApi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with pyEveApi.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from ApiModifiedLongCacher import ApiModifiedLongCacher
import debugger

class MailMessages(ApiModifiedLongCacher):
    '''
    classdocs
    '''

    def xmlNodeToListEntry(self, node):
        return { 'messageID': node.getAttribute("messageID"),
                'senderID': node.getAttribute("senderID"),
                'sentDate': node.getAttribute("sentDate"),
                'title': node.getAttribute("title"),
                'toCorpOrAllianceID': node.getAttribute("toCorpOrAllianceID"),
                'toCharacterIDs': node.getAttribute("toCharacterIDs"),
                'toListIDs': node.getAttribute("toListIDs"),
                'read': node.getAttribute("read")
                }
        pass

    def __init__(self, userid, apikey, characterid=0):
        '''
        Constructor
        '''
        debugger.DBUG(3, "MailMessages")
        ApiModifiedLongCacher.__init__(self, userid, apikey, characterid, "/char/MailMessages.xml.aspx", "MailMessages")
        self.doLoad()

        
        