'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of pyEveApi.

    pyEveApi is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    pyEveApi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with pyEveApi.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
import pickle
import debugger
import os

class SaveCharacter():
    def saveCache(self):
        debugger.DBUG(3, "Saving Cache to file: " + self.CacheFile)
        file = open(self.CacheFile, "w")
        pickle.dump(self.pickleObject, file)
        file.close()
        pass

    def loadCache(self):
        debugger.DBUG(3, "Loading Cache from file: " + self.CacheFile)
        file = open(self.CacheFile, "r")
        self.pickleObject = pickle.load(file)
        file.close()
        pass
    
    def getUserID(self):
        return self.pickleObject[0]
    
    def getApiKey(self):
        return self.pickleObject[1]
    
    def getCharacterID(self):
        return self.pickleObject[2]
    
    def setCacheFile(self):
        self.CacheFile = os.path.expanduser("~") + "/.libeveapi/Character.cache"
        debugger.DBUG(3, "Savefile: " + self.CacheFile)
    
    def __init__(self, userid=None, apikey=None, characterid=None):        
        self.pickleObject = [userid, apikey, characterid]
        self.setCacheFile()
        pass
