'''
    Copyright 2009, 2010 Oskar Andreasson

    This file is part of pyEveApi.

    pyEveApi is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    pyEveApi is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with pyEveApi.  If not, see <http://www.gnu.org/licenses/>.

@author: oan
'''
from ApiModifiedShortCacher import ApiModifiedShortCacher
import debugger

class SkillQueue(ApiModifiedShortCacher):
    '''
    classdocs
    '''
    def getSkillQueueSortedByQueuePosition(self):
        if len(self.nodeList) == 0:
            return None
        else:
            list = self.nodeList
            list.sort( cmp=lambda x,y: cmp(x["queuePosition"],
                                           y["queuePosition"]), reverse=True)
            return list
        
    def xmlNodeToListEntry(self, node):
        return { 'queuePosition': node.getAttribute("queuePosition"),
                'typeID': node.getAttribute("typeID"),
                'level': node.getAttribute("level"),
                'startSP': node.getAttribute("startSP"),
                'endSP': node.getAttribute("endSP"),
                'startTime': node.getAttribute("startTime"),
                'endTime ': node.getAttribute("endTime ")
                }
        pass

    def __init__(self, userid, apikey, characterid=0):
        '''
        Constructor
        '''
        debugger.DBUG(3, "SkillQueue")
        ApiModifiedShortCacher.__init__(self, userid, apikey, characterid, "/char/SkillQueue.xml.aspx", "SkillQueue")
        self.doLoad()